import CryptoJS from 'crypto-js'

const key = CryptoJS.enc.Utf8.parse("J4ny0Ja678Y7P2so");
const iv = CryptoJS.enc.Utf8.parse('pTNorfvZW2UZJbd0');

export function Decrypt(word) {
  let encryptedHexStr = CryptoJS.enc.Hex.parse(word);
  let srcs = CryptoJS.enc.Base64.stringify(encryptedHexStr);
  let decrypt = CryptoJS.AES.decrypt(srcs, key, { iv: iv, mode: CryptoJS.mode.CBC, padding: CryptoJS.pad.Pkcs7 });
  let decryptedStr = decrypt.toString(CryptoJS.enc.Utf8);
  return decryptedStr.toString();
}
